package com.ecep.contract.model;

import com.ecep.contract.CustomerFileType;
import com.ecep.contract.vo.CustomerFileTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 客户文件类型（多国语言支持）
 */
@Getter
@Setter
@Entity
@Table(name = "COMPANY_CUSTOMER_FILE_TYPE_LOCAL")
@ToString(callSuper = true)
public class CustomerFileTypeLocal extends BaseEnumEntity<CustomerFileType> implements Voable<CustomerFileTypeLocalVo> {

    @Override
    public CustomerFileTypeLocalVo toVo() {
        CustomerFileTypeLocalVo vo = new CustomerFileTypeLocalVo();
        vo.setId(getId());
        vo.setLang(getLang());
        vo.setValue(getValue());
        vo.setType(getType());
        return vo;
    }
}